From 3cfb589f9bffef51abc0ac3c4e69f0df4599aeeb Mon Sep 17 00:00:00 2001
From: Wei xie <xiewei@linuxdeepin.com>
Date: Fri, 5 Jan 2018 15:56:39 +0800
Subject: [PATCH] wininet: Add InternetGetSecurityInfoByURLW test

Signed-off-by: Wei xie <xiewei@linuxdeepin.com>
---
 dlls/wininet/tests/http.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dlls/wininet/tests/http.c b/dlls/wininet/tests/http.c
index ca1173e940..ee1d5dacb0 100644
--- a/dlls/wininet/tests/http.c
+++ b/dlls/wininet/tests/http.c
@@ -5590,6 +5590,9 @@ static void _test_security_info(unsigned line, const char *urlc, DWORD error, DW
         ok_(__FILE__,line)(chain != NULL, "chain = NULL\n");
         ok_(__FILE__,line)(flags == ex_flags, "flags = %x\n", flags);
         CertFreeCertificateChain(chain);
+
+        res = pInternetGetSecurityInfoByURLA(url, NULL, NULL);
+        ok_(__FILE__,__LINE__)(!res, "InternetGetSecurityInfoByURLA failed: %u\n", GetLastError());
     }else {
         ok_(__FILE__,line)(!res && GetLastError() == error,
                            "InternetGetSecurityInfoByURLA returned: %x(%u), expected %u\n", res, GetLastError(), error);
-- 
2.11.0

